(function () {
    'use strict';

    angular
        .module('app')
            .controller('ConfiguracaoEmpresaController', ConfiguracaoEmpresaController);

    ConfiguracaoEmpresaController.$inject = ['$scope', '$interval', '$location', 'Consulta', 'Comando', 'CompartilharScope', 'CompartilharScopeImagens', 'GlobalVariable'];

    function ConfiguracaoEmpresaController($scope, $interval, $location, Consulta, Comando, CompartilharScope, CompartilharScopeImagens, GlobalVariable, $rootScope) {
        $scope.ConfiguracaoEmpresa;
        $scope.CodigoPainel = 0;

        function successCarregar(data) {
            $scope.ConfiguracaoEmpresa = data.data;

            if (CompartilharScope.getScope("PainelFinalServiceController")) {
                if ($scope.ConfiguracaoEmpresa.ExibeImagemEmpresa) {
                    CompartilharScope.getScope("PainelFinalServiceController").urlImagemEmpresa = $scope.ConfiguracaoEmpresa.UrlImagemEmpresa;
                } else {
                    CompartilharScope.getScope("PainelFinalServiceController").urlImagemEmpresa = "../Content/Images/PainelFinal/marca-inlog-branco.png";
                }
            }
        }

        function successSalvar(data) {
            $scope.ConfiguracaoEmpresa = data.data;
        }
        function errorCallBack(error) { }

        $scope.CodigoPainel = GlobalVariable.getPainelFinal();

        if ($scope.CodigoPainel && $scope.CodigoPainel != 0)
            Consulta.CarregarConfiguracaoEmpresaPorCodigoPainel($scope.CodigoPainel, successCarregar, errorCallBack);

        $scope.SalvarConfiguracaoEmpresa = function () {
            var fileUpLoad = CompartilharScopeImagens.getScope("FileUploadE");
            if (fileUpLoad.EstadoImg) {
                if (fileUpLoad.fileread) {
                    $scope.ConfiguracaoEmpresa.NomeArquivo = fileUpLoad.fileread.name;
                } else {
                    $scope.ConfiguracaoEmpresa.NomeArquivo = null;
                    $scope.ConfiguracaoEmpresa.Logotipo = null;
                }
                $scope.ConfiguracaoEmpresa.EstadoImg = fileUpLoad.EstadoImg;
                fileUpLoad.EstadoImg = false;
            }
            $scope.ConfiguracaoEmpresa.CodigoPainel = $scope.CodigoPainel;
            Comando.SalvarConfiguracaoEmpresa($scope.ConfiguracaoEmpresa, successSalvar, errorCallBack);
        }

        CompartilharScope.addScope("ConfiguracaoEmpresaController", $scope);
    }
})();